const express = require('express')
const expressLayouts = require('express-ejs-layouts');
const artigoRouter = require("./routes/artigos")
const app = express()

app.set('view engine', 'ejs')

app.use(expressLayouts)
app.set("layout","./layouts/default");

// Permite receber valores do POST como urlencoded e json
app.use(express.urlencoded({extended: true}));
app.use(express.json());

// Realizar um log de todas as páginas que forem acessadas:
// originalUrl contém o caminho da requisição HTTP
function logger(req,res,next) {
    console.log(req.originalUrl);
    next();
}
app.use(logger);

// Oferecer arquivos estáticos em './public/'
app.use(express.static('public'));

app.use("/artigo", artigoRouter)

app.get("/", (req, res) => {
    console.log("Executou");
    res.render("index",{ 
        iteracoes:10,
        titulo:"Seja bem vindo!", 
        conteudo:"Obrigado por acessar esta página" 
    });
})

// Deixe por último
app.listen(5000)
